/*
 * This file is automatically generated by the build system of 
 *
 * Automatically generated files do not have a copyright
 */

#ifndef RMF_API_MSGS__SCHEMAS__ACTIVITY_DISCOVERY_RESPONSE
#define RMF_API_MSGS__SCHEMAS__ACTIVITY_DISCOVERY_RESPONSE

#include <nlohmann/json.hpp>

namespace rmf_api_msgs {
namespace schemas {

static const nlohmann::json activity_discovery_response =
R"raw_schema(
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://raw.githubusercontent.com/open-rmf/rmf_api_msgs/main/rmf_api_msgs/schemas/activity_discovery_response.json",
  "title": "Activity Discovery",
  "description": "Discovered information about what kinds of activities a fleet supports",
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "fleet_name": {
            "description": "Name of the fleet that supports these activities",
            "type": "string"
          },
          "activities": {
            "description": "List of activities that the fleet supports",
            "type": "array",
            "items": { "$ref": "#/$defs/activity" }
          }
        },
        "required": ["fleet_name", "activities"]
      }
    }
  },
  "$defs": {
    "activity": {
      "description": "Information about an activity",
      "type": "object",
      "properties": {
        "category": {
          "description": "The category of this activity. There must not be any duplicate activity categories per fleet.",
          "type": "string"
        },
        "detail": {
          "description": "Details about the behavior of the activity.",
          "type": "string"
        },
        "description_schema": {
          "description": "The schema for this activity description",
          "type": "object"
        }
      },
      "required": ["category", "detail", "schema"]
    }
  }
}
)raw_schema"_json;

} // namespace schemas
} // namespace rmf_api_msgs

#endif // RMF_API_MSGS__SCHEMAS__ACTIVITY_DISCOVERY_RESPONSE
